Package uk.ac.starlink.table.join

# Interface CuboidCoverage.ErrorDecoder

Enclosing class:
  CuboidCoverage

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CuboidCoverage.ErrorDecoder
Defines mapping of tuple to error value.

## Method Summary

Modifier and Type
Method
Description
`double`
`decodeError(Object[] tuple)`
Returns the error value corresponding to a supplied tuple.

## Method Details

### decodeError

double decodeError(Object[] tuple)
Returns the error value corresponding to a supplied tuple.

Note this method must be thread-safe, it may be called from multiple threads concurrently.

Parameters:
  `tuple` - tuple data
Returns:
  maximum separation for match